cascading.pipe.assembly

## Class Retain

- java.lang.Object
- - cascading.pipe.Pipe
  - - cascading.pipe.SubAssembly
    - - cascading.pipe.assembly.Retain

- All Implemented Interfaces:
    FlowElement, ScopedElement, Traceable, java.io.Serializable

      public class Retain
      extends SubAssembly

  Class Retain is a `SubAssembly` that will discard all incoming fields except those given on the constructor.

  Use this pipe to narrow a stream of tuples, removing unused data.
  See Also:
    `Discard`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.pipe.Pipe

      `configDef, name, nodeConfigDef, parent, stepConfigDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Retain(Pipe previous, Fields retainFields)`

  - ### Method Summary

    - ### Methods inherited from class cascading.pipe.SubAssembly

      `getName, getPrevious, getTailNames, getTails, setPrevious, setTails, unwind`

    - ### Methods inherited from class cascading.pipe.Pipe

      `equals, getConfigDef, getHeads, getNodeConfigDef, getParent, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, named, names, outgoingScopeFor, pipes, print, printInternal, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, setParent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Retain

          @ConstructorProperties(value={"previous","retainFields"})
          public Retain(Pipe previous,
                                      Fields retainFields)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.